From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 10 Apr 2020 14:57:56 +0200
Subject: Fix small Python 3 errors

Forwarded: https://github.com/rsmusllp/king-phisher/pull/484
Last-Update: 2020-04-10
---
 king_phisher/client/tabs/mail.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/king_phisher/client/tabs/mail.py b/king_phisher/client/tabs/mail.py
index b0fff70..a4fba12 100644
--- a/king_phisher/client/tabs/mail.py
+++ b/king_phisher/client/tabs/mail.py
@@ -1076,9 +1076,9 @@ class MailSenderConfigurationTab(gui_utilities.GladeGObject):
 			return True
 
 		message = 'SPF exists and the policy evaluates to: ' + spf_result
-		if spf_result is 'fail':
+		if spf_result == 'fail':
 			message = 'SPF exists with a hard fail, messages will probably be blocked.'
-		elif spf_result is 'softfail':
+		elif spf_result == 'softfail':
 			message = 'SPF exists with a soft fail, messages might be blocked.'
 		gui_utilities.show_dialog_info('SPF Check Results', self.parent, message)
 		return True
